<?php

declare(strict_types=1);

namespace Drupal\notifier_chat_channel\Transport\Slack\Recipient;

use Symfony\Component\Notifier\Bridge\Slack\SlackOptions;
use Symfony\Component\Notifier\Recipient\RecipientInterface;

interface SlackRecipientInterface extends RecipientInterface {

  /**
   * Adds the recipient data from this object to a SlackOptions payload.
   */
  public function addRecipientToOptions(SlackOptions $options): void;

}
