<?php

declare(strict_types=1);

namespace Drupal\notifier_chat_channel;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderInterface;

/**
 * Service provider for Notifier Chat Channel.
 */
final class NotifierChatChannelServiceProvider implements ServiceProviderInterface {

  public function register(ContainerBuilder $container): void {
    $container
      ->addCompilerPass(new NotifierChatChannelCompilerPass());
  }

}
